Subject: bug#21215: icecat can't be started by basename only

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 16 Feb 2016 19:21:20 +0100

Hi,

On Wed, 10 Feb 2016 22:03:21 +0100
[email-masked] (Ludovic Courtès) wrote:

> [email-masked] (Ludovic Courtès) skribis:
> 
> > Danny Milosavljevic <[email-masked]> skribis:
> >  
> >> right now on the GuixSD from the website I have about 12 copies of
> >> icecat installed in /gnu/store but I can start none of them by typing
> >>
> >>   $ icecat
> >>
> >> Why not?  
> >
> > See Taylan’s explanation from last month.
> >  
> >> Also, it isn't in Xfce4's Application Finder either (while for example
> >> HexChat is).  
> >
> > Is IceCat installed in the global profile, i.e., specified in the
> > ‘packages’ field of the ‘operating-system’ declaration, or is it
> > installed in your user profile?  
> 
> Ping!  :-)
> 
> Any update on this issue?  (<http://bugs.gnu.org/21215>)

I have a backup HDD with a copy of the installation from back then. 
I can connect it via USB enclosure. What should I check?

For the record, on the new GuixSD installation (including guix pull) which I'm using now, I can start icecat by typing "icecat". However, there's still no entry in the start menu - which is pretty annoying.

Also, icecat is in "gnu/packages/gnuzilla.scm". Weird. But ok...

Regards,
  Danny